Page MenuHomePhabricator

[Story] extended display for article placeholder
Closed, ResolvedPublic

Description

We want to have an option or version of displaying article placeholders, that is editable. There are two points to consider:

  • editing of the layout
  • editing of the data

Event Timeline

Lucie created this task.Aug 19 2015, 12:47 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Lydia_Pintscher, Aklapper, Lucie.

Does "layout" include filtering out some (kinds of) properties?

In general the article placeholder will likely not display all the data Wikidata has about an entity. Deciding which should be at the discretion of the local community if they so chose. There will be a sensible default for the small communities we are primarily targeting with this and who might not have the manpower to come up with all the Lua modules and templates themselves.

jeblad added a subscriber: jeblad.Mar 26 2016, 4:50 PM

Unrolling hidden portions? That involves regrouping and resorting of entries.

Note that the interpretation of "editing" changes depending on the mental model conveyed by the page itself. It now lives somehow between the item page at Wikidata and the article page at Wikipedia. Because it is on Wikipedia (ie the client) it should convey a model that supports "this is an aspect of the the article", not "this is the Wikidata item page at Wikipedia". I think the later one will be very confusing, the whole concept with Wikidata already creates a lot of confusion. ;)

Lucie closed this task as Resolved.May 18 2016, 1:11 PM
Lucie moved this task from Broader tickets to Done on the ArticlePlaceholder board.

I don't see how this was resolved. The explanation would be suitable for the to-be-created https://www.mediawiki.org/wiki/Help:Extension:ArticlePlaceholder